aboutsummaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authormurf <murf@f38db490-d61c-443f-a65b-d21fe96a405b>2007-07-07 16:44:57 +0000
committermurf <murf@f38db490-d61c-443f-a65b-d21fe96a405b>2007-07-07 16:44:57 +0000
commit94801190c47e8f2a70ac511fa6e586a92a1a5081 (patch)
treee65c44deb1fb71bdd439f2f0931abe2fc11f8749 /bootstrap.sh
parent77bdc5a4fc7684b01a347f3729bbff3e5053570a (diff)
These changes fix 10145 and 10150, a prob with BSD and exp2/log2 not existing, as well as the bootstrap needing a small upgrade for openbsd. Many thanks to mvanbaak
git-svn-id: http://svn.digium.com/svn/asterisk/trunk@73821 f38db490-d61c-443f-a65b-d21fe96a405b
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh18
1 files changed, 13 insertions, 5 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
index d3d51ee76..8fd87efd0 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -9,13 +9,21 @@ check_for_app() {
fi
}
-# On FreeBSD, multiple autoconf/automake versions have different names.
+# On FreeBSD and OpenBSD, multiple autoconf/automake versions have different names.
# On linux, envitonment variables tell which one to use.
-uname -s | grep -q FreeBSD
-if [ $? = 0 ] ; then # FreeBSD case
- MY_AC_VER=259
- MY_AM_VER=19
+uname -s | grep -q BSD
+if [ $? = 0 ] ; then # BSD case
+ uname -s | grep -q FreeBSD
+ if [ $? = 0 ] ; then # FreeBSD case
+ MY_AC_VER=259
+ MY_AM_VER=19
+ fi
+ uname -s | grep -q OpenBSD
+ if [ $? = 0 ] ; then # OpenBSD case
+ MY_AC_VER=-2.61
+ MY_AM_VER=-1.9
+ fi
else # linux case
MY_AC_VER=
MY_AM_VER=